Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa
Interface JpaAdapter

All Known Implementing Classes:
  HibernateAdapter

    public interface JpaAdapter

Provides a way for individual JPA implementations to properly set their implementation-specific properties to accurately map the `JpaSource` properties to the JPA implementation.

Method Summary
`String` | `determineDialect(javax.persistence.EntityManager entityManager)` Determines the dialect in an implementation-specific manager
`javax.persistence.EntityManagerFactory` | `getEntityManagerFactory(JpaSource source)` Returns an `EntityManagerFactory` based on the values in the given `source`.
`Properties` | `getProperties(JpaSource source)` Maps the `JpaSource` properties to the corresponding properties in the JPA implementation

Method Detail

### getProperties

    Properties getProperties(JpaSource source)

  Maps the `JpaSource` properties to the corresponding properties in the JPA implementation

  Parameters:
    `source` - the JPA source to map; may not be null
  Returns:
    a map of properties that can be passed to `Persistence.createEntityManagerFactory(String, Map)`; never null

### determineDialect

    String determineDialect(javax.persistence.EntityManager entityManager)

  Determines the dialect in an implementation-specific manager

  Parameters:
    `entityManager` - an open and valid `EntityManager`; may not be null
  Returns:
    a string describing the dialect that will be used to `set the dialect property on the source`; null indicates that the dialect could not be determined

### getEntityManagerFactory

    javax.persistence.EntityManagerFactory getEntityManagerFactory(JpaSource source)

  Returns an `EntityManagerFactory` based on the values in the given `source`.

  Parameters:
    `source` - the `JpaSource` to use as a source of settings; may not be null
  Returns:
    an entity manager factory built from the settings on the source; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.